Summary: Ethernet settings tool for PCI ethernet cards
Name: ethtool
Version: 3.10
Release: 1441
License: GPL
Group: Applications/System
URL:  https://ftp.kernel.org/pub/software/network/ethtool/
Source0: https://ftp.kernel.org/pub/software/network/ethtool/%{name}-%{version}.tar.gz
Patch0: 3.10-xLINKSETTINGS.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: autoconf, automake
%define _sbindir	/sbin

%description
This utility allows querying and changing of ethernet
card settings, such as speed, port, autonegotiation,
and PCI locations.

%prep
%setup -q

%patch0 -p2

%build
./autogen.sh
%configure
make

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}/usr/sbin
ln -s /sbin/ethtool %{buildroot}/usr/sbin

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
/sbin/ethtool
/usr/sbin/ethtool
%{_mandir}/man8/ethtool.*

%changelog
# Derived from RHEL 5 .spec file
# updated to new snapshot
